<Project Sdk="Microsoft.NET.Sdk.Razor">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
		<GeneratePackageOnBuild>True</GeneratePackageOnBuild>
		<Title>$(AssemblyName)</Title>
		<Authors>Tom PIT ltd</Authors>
		<Copyright>2022 Tom PIT ltd</Copyright>
		<PackageProjectUrl>https://git.tompit.com/Connected/Info</PackageProjectUrl>
		<PackageReadmeFile>README.md</PackageReadmeFile>
		<PackageTags>connected;platform;</PackageTags>
		<IncludeSymbols>True</IncludeSymbols>
		<SymbolPackageFormat>snupkg</SymbolPackageFormat>
		<PackageLicenseFile>LICENSE</PackageLicenseFile>
		<PackageOutputPath>$(OutputPath)</PackageOutputPath>
  </PropertyGroup>

  <ItemGroup>
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="7.0.*-*" />
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="7.0.*-*" PrivateAssets="all" />
  </ItemGroup>
  <ItemGroup>
		<None Include="..\..\LICENSE">
			<Pack>True</Pack>
			<PackagePath>\</PackagePath>
		</None>
		<None Include="..\..\README.md">
			<Pack>True</Pack>
			<PackagePath>\</PackagePath>
		</None>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Pages\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\dependencies\Connected\src\Connected.Client\Connected.Client.csproj" />
    <ProjectReference Include="..\connected.components\Connected.Components.csproj" />
  </ItemGroup>


</Project>
